### Method

# AppStream Context set_locale

#### Declaration [src]

    void
    as_context_set_locale (
      AsContext* ctx,
      const gchar* locale
    )

#### Description [src]

Sets the active locale. If the magic value “ALL” is used, the current system locale will be used for data reading, but when writing data all locale will be written.

#### Parameters

`locale`

  Type: `const gchar*`

  A POSIX or BCP47 locale, or `NULL`. e.g. “en_GB”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.